# classes/phing/TaskContainer.php

$Id: TaskContainer.php 1085 2011-05-06 11:01:21Z mrook $

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

This software consists of voluntary contributions made by many individuals and is licensed under the LGPL. For more information please see http://phing.info.

package
  phing

## \TaskContainer
jump to top

Abstract interface for objects which can contain tasks (targets) Used to check if a class can contain tasks (via instanceof)

@author Andreas Aderhold andi@binarycloud.com

access
  public
copyright
  © 2001,2002 THYRELL. All rights reserved
package
  phing
version
  $Revision: 1085 $ $Date: 2011-05-06 13:01:21 +0200 (Fri, 06 May 2011) $

### Methods

`addTask( $task ) :`
Adds a task to this task container. Must be implemented by derived class

@param object The task to be added to the container

Parameters

Name | Type | Description
--- | --- | ---
$task |  |

Details

access
  public

Documentation was generated by DocBlox 0.13.1.